<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.HardwareMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.Hardware">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="no" property="no" />
        <result column="position_id" property="positionId" />
        <result column="address" property="address" />
        <result column="position" property="position" />
        <result column="sim_no" property="simNo" />
        <result column="sn_code" property="snCode" />
        <result column="status" property="status" />
        <result column="check_code" property="checkCode" />
        <result column="firmware_version" property="firmwareVersion" />
        <result column="imsi" property="imsi" />
        <result column="toilet_id" property="toiletId" />
        <result column="building_id" property="buildingId" />
        <result column="floor" property="floor" />
        <result column="district_id" property="districtId" />
        <result column="property_id" property="propertyId" />
        <result column="agent_id" property="agentId" />
        <result column="version" property="version" />
        <result column="memo" property="memo" />
        <result column="user_id" property="userId" />
        <result column="bluetooth_mac" property="bluetoothMac" />
        <result column="name" property="name" />
        <result column="bluetooth_name" property="bluetoothName" />
        <result column="install_scenes" property="installScenes" />
        <result column="install_mode" property="installMode" />
        <result column="powered_type" property="poweredType" />
        <result column="online" property="online" />
        <result column="sysversion" property="sysversion" />
        <result column="online_time" property="onlineTime" />
        <result column="chip" property="chip" />
        <result column="motherboard" property="motherboard" />
        <result column="warranty_period" property="warrantyPeriod" />
        <result column="runl_mode" property="runlMode" />
        <result column="device_type" property="deviceType" />
        <result column="machine_chip_time" property="machineChipTime" />
        <result column="machine_chip_code" property="machineChipCode" />
        <result column="current_chip" property="currentChip" />
        <result column="lock_machine_state" property="lockMachineState" />
        <result column="voice_version" property="voiceVersion" />
        <result column="first_on_time" property="firstOnTime" />
        <result column="warranty_expiration_time" property="warrantyExpirationTime" />
        <result column="advertise_version" property="advertiseVersion" />
        <result column="nfc_flag" property="nfcFlag" />
        <result column="nfc_id" property="nfcId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, no, position_id, address, position, sim_no, sn_code, status, check_code, firmware_version, imsi, toilet_id, building_id, floor, district_id, property_id, agent_id, version, memo, user_id, bluetooth_mac, name, bluetooth_name, install_scenes, install_mode, powered_type, online, sysversion, online_time, chip, motherboard, warranty_period, runl_mode, device_type, machine_chip_time, machine_chip_code, current_chip, lock_machine_state, voice_version, first_on_time, warranty_expiration_time, advertise_version, nfc_flag, nfc_id
    </sql>

</mapper>
